//
//  txCreateERCImageView.h
//  原生扫描生成demo
//
//  Created by mac on 16/11/17.
//  Copyright © 2016年 TXZhongJiaowang. All rights reserved.
//

/*
 *	| |    | |   - - - - - -   \ \  / /
 *	| |____| |   - -  -  - -    \ \/ /
 *	| |____| |       | |         \  /
 * 	| |    | |       | |         /  \
 *  | |    | |       | |        / /\ \
 *  | |    | |       |_|       /_/  \_\
 *
 * Copyright (c) 2007 ~ 2016 zhengZhou 中交网. All rights reserved.
 */
#import <UIKit/UIKit.h>

@interface txCreateERCImageView : UIImageView

/** 二维码生成的信息 */
@property (nonatomic,copy)NSString *erTitleString;

/** 二维码中间生成的图片 */
@property (nonatomic,strong)NSString *erSmallImage;

/*
 *     注意事项    **     需配置信息后再调用创建的方法
 */

/** 创建普通的黑白二维码 */
- (UIImage *)createNormalERImageView;

/** 创建彩色的二维码 */
- (UIImage *)createColorERImageView:(UIColor *)backColor frontColor:(UIColor *)frontColor;

/** 创建普通的小图片二维码 */
- (UIImage *)createNormalSmallImageERImageView;

/** 创建彩色的小图片二维码 */
- (UIImage *)createColorSmallImageERImageView:(UIColor *)backColor frontColor:(UIColor *)frontColor;

@end
