//
//  ViewController.m
//  原生扫描生成demo
//
//  Created by mac on 16/11/16.
//  Copyright © 2016年 TXZhongJiaowang. All rights reserved.
//

#import "ViewController.h"
#import "saomiaoViewController.h"
#import "erweimaViewController.h"
#import "imageErweimaViewController.h"
#import "testViewController.h"

#define kZero 0
#define kFullScreen [UIScreen mainScreen].bounds
#define kFullWidth [UIScreen mainScreen].bounds.size.width
#define kFullHeight [UIScreen mainScreen].bounds.size.height

@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>
@property (nonatomic,strong)UITableView *tableView;
@end

@implementation ViewController
{
    NSArray *dataArr;
    NSArray *dataVC;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor = [UIColor whiteColor];
    self.automaticallyAdjustsScrollViewInsets = NO;
    
    dataArr = @[@"扫描二维码",@"生成二维码",@"生成带小图片的二维码",@"测试"];
    dataVC = @[[saomiaoViewController class],[erweimaViewController class],[imageErweimaViewController class],[testViewController class]];
    [self creatTableView];
}

- (void)handleBtn1{
    saomiaoViewController *saomiao = [[saomiaoViewController alloc]init];
    [self.navigationController pushViewController:saomiao animated:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)creatTableView{
    self.tableView = [[UITableView alloc]initWithFrame:CGRectMake(kZero, 64, kFullWidth, kFullHeight - 64) style:UITableViewStylePlain];
    self.tableView.delegate = self;
    self.tableView.dataSource = self;
    
    [self.tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:@"cell"];
    self.tableView.tableFooterView = [[UIView alloc]init];
    [self.view addSubview:self.tableView];
}
#pragma mark **** UITableViewDataSource
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return dataArr.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];
    cell.textLabel.text = dataArr[indexPath.row];
    
    return cell;
}
#pragma mark **** UITableViewDelegate

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    return 50;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    UIViewController *vc = [[dataVC[indexPath.row] alloc]init];
    [self.navigationController pushViewController:vc animated:YES];
}
@end
